# WhirledContext (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.util
Interface WhirledContext

All Superinterfaces:
  com.threerings.crowd.util.CrowdContext, com.threerings.presents.util.PresentsContext

    public interface WhirledContext

extends com.threerings.crowd.util.CrowdContext

The whirled context provides access to the various managers, etc. that are needed by the whirled client code.

Method Summary
`SceneDirector` `getSceneDirector()` Returns a reference to the scene director.

Methods inherited from interface com.threerings.crowd.util.CrowdContext
`clearPlaceView, getChatDirector, getLocationDirector, getMessageManager, getOccupantDirector, setPlaceView`

Methods inherited from interface com.threerings.presents.util.PresentsContext
`getClient, getConfig, getDObjectManager`

Method Detail

### getSceneDirector

    SceneDirector getSceneDirector()

  Returns a reference to the scene director.

Copyright © 2011. All Rights Reserved.